osgDB::MapIteratorObject Class Reference

`#include <Serializer>`

Inheritance diagram for osgDB::MapIteratorObject:

## Public Member Functions

| MapIteratorObject ()
| MapIteratorObject (BaseSerializer::Type keyType, unsigned int keySize, BaseSerializer::Type elementType, unsigned int elementSize)
| MapIteratorObject (const MapIteratorObject &rhs, const osg::CopyOp copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgDB, MapIteratorObject)
BaseSerializer::Type | getKeyType () const
unsigned int | getKeySize () const
BaseSerializer::Type | getElementType () const
unsigned int | getElementSize () const
virtual bool | advance ()
virtual bool | valid () const
virtual const void * | getKey () const
virtual void * | getElement () const
virtual void | setElement (void *) const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

BaseSerializer::Type | _keyType
unsigned int | _keySize
BaseSerializer::Type | _elementType
unsigned int | _elementSize
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## MapIteratorObject() [1/3]

osgDB::MapIteratorObject::MapIteratorObject | ( |  | ) |

inline

References _elementSize, _elementType, _keySize, and _keyType.

Referenced by osgDB::MapSerializer< C, P >::MapIterator::MapIterator(), MapIteratorObject(), META_Object(), and osgDB::MapSerializer< C, P >::ReverseMapIterator::ReverseMapIterator().

## MapIteratorObject() [2/3]

osgDB::MapIteratorObject::MapIteratorObject | ( | BaseSerializer::Type | keyType,
|  | unsigned int | keySize,
|  | BaseSerializer::Type | elementType,
|  | unsigned int | elementSize )

inline

References _elementSize, _elementType, _keySize, and _keyType.

## MapIteratorObject() [3/3]

osgDB::MapIteratorObject::MapIteratorObject | ( | const MapIteratorObject & | rhs,
|  | const osg::CopyOp | copyop = osg::CopyOp::SHALLOW_COPY )

inline

References _elementSize, _elementType, _keySize, _keyType, MapIteratorObject(), osg::Object::Object(), and osg::CopyOp::SHALLOW_COPY.

## Member Function Documentation

## advance()

virtual bool osgDB::MapIteratorObject::advance | ( |  | ) |

inline virtual

Reimplemented in osgDB::MapSerializer< C, P >::MapIterator, and osgDB::MapSerializer< C, P >::ReverseMapIterator.

## getElement()

virtual void * osgDB::MapIteratorObject::getElement | ( |  | ) | const

inline virtual

Reimplemented in osgDB::MapSerializer< C, P >::MapIterator, and osgDB::MapSerializer< C, P >::ReverseMapIterator.

## getElementSize()

unsigned int osgDB::MapIteratorObject::getElementSize | ( |  | ) | const

inline

References _elementSize.

## getElementType()

BaseSerializer::Type osgDB::MapIteratorObject::getElementType | ( |  | ) | const

inline

References _elementType.

## getKey()

virtual const void * osgDB::MapIteratorObject::getKey | ( |  | ) | const

inline virtual

Reimplemented in osgDB::MapSerializer< C, P >::MapIterator, and osgDB::MapSerializer< C, P >::ReverseMapIterator.

## getKeySize()

unsigned int osgDB::MapIteratorObject::getKeySize | ( |  | ) | const

inline

References _keySize.

## getKeyType()

BaseSerializer::Type osgDB::MapIteratorObject::getKeyType | ( |  | ) | const

inline

References _keyType.

## META_Object()

osgDB::MapIteratorObject::META_Object | ( | osgDB | ,
|  | MapIteratorObject | )

References MapIteratorObject().

## setElement()

virtual void osgDB::MapIteratorObject::setElement | ( | void * |  | ) | const

inline virtual

Reimplemented in osgDB::MapSerializer< C, P >::MapIterator, and osgDB::MapSerializer< C, P >::ReverseMapIterator.

## valid()

virtual bool osgDB::MapIteratorObject::valid | ( |  | ) | const

inline virtual

Reimplemented in osgDB::MapSerializer< C, P >::MapIterator, and osgDB::MapSerializer< C, P >::ReverseMapIterator.

## Member Data Documentation

## _elementSize

unsigned int osgDB::MapIteratorObject::_elementSize

protected

Referenced by getElementSize(), MapIteratorObject(), MapIteratorObject(), and MapIteratorObject().

## _elementType

BaseSerializer::Type osgDB::MapIteratorObject::_elementType

protected

Referenced by getElementType(), MapIteratorObject(), MapIteratorObject(), and MapIteratorObject().

## _keySize

unsigned int osgDB::MapIteratorObject::_keySize

protected

Referenced by getKeySize(), MapIteratorObject(), MapIteratorObject(), and MapIteratorObject().

## _keyType

BaseSerializer::Type osgDB::MapIteratorObject::_keyType

protected

Referenced by getKeyType(), MapIteratorObject(), MapIteratorObject(), and MapIteratorObject().

The documentation for this class was generated from the following file:

- Serializer